#global        snapdate   20120717
#%global        snaphash   5d07303
#global        snapver    {snapdate}.git{snaphash}

Name:           subsurface
Version:        4.6.2
#Release:        1.{snapver}%{?dist}
Release:        5%{?dist}
Summary:        A feature-full divelog in Qt

License:        GPLv2
URL:            http://subsurface-divelog.org/
#Source0:        torvalds-subsurface-v1.2-0-gc912e1f.tar.gz
# Sources generated via:
# git clone https://github.com/torvalds/subsurface.git && cd subsurface
# git archive --format=tar --prefix=subsurface-7fe652a/ 7fe652a | xz -z > subsurface-1.2-20120717git7fe652a.tar.xz
#Source0:        subsurface-1.2-20120717git7fe652a.tar.xz
Source0:        http://subsurface-divelog.org/downloads/Subsurface-%{version}.tgz

BuildRequires:  libdivecomputer-subsurface-devel >= %{version}
BuildRequires:  libdivecomputer-subsurface-static
BuildRequires:  libssrfmarblewidget-devel >= %{version}

BuildRequires:  libudev-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  libsqlite3x-devel
BuildRequires:  libzip-devel
BuildRequires:  desktop-file-utils
BuildRequires:  asciidoc
BuildRequires:  libgit2-devel
BuildRequires:  libssh2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libappstream-glib
BuildRequires:  cmake >= 2.6

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: pkgconfig(Qt5Positioning)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Bluetooth)
# lrelease
BuildRequires: qt5-linguist
BuildRequires: grantlee-qt5-devel

%description
Subsurface is an open source dive log program.

Subsurface is able to track single- and multi-tank dives using air, Nitrox or
TriMix. It also allows logging of weights and exposure protection used, dive
masters and dive buddies and enables the user to rate dives and provide
additional dive notes.


%prep
%autosetup -n Subsurface-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} .. \
  -DCMAKE_BUILD_TYPE=Release \
  -DUSE_LIBGIT23_API=1 \
  -DMARBLE_LIBRARIES:PATH="%{_libdir}/libssrfmarblewidget.so"

make %{?_smp_mflags}
popd


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

install -pD appdata/subsurface.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README Documentation
%{_bindir}/subsurface
%{_bindir}/subsurface.debug
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}-icon.*
%{_datadir}/%{name}/


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jul 08 2017 Igor Gnatenko <ignatenko@redhat.com> - 4.6.2-3
- Rebuild for libgit2 0.26.x

* Tue Feb 28 2017 Remi Collet <remi@fedoraproject.org> - 4.6.2-2
- rebuild for new libzip

* Tue Feb 21 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.6.2-1
- subsurface-4.6.2 (#1271883)

* Tue Feb 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 4.4.2-9
- Rebuild for libgit2-0.25.x

* Wed Jan 11 2017 Rex Dieter <rdieter@fedoraproject.org> - 4.4.2-8
- rebuild (marble)

* Sat Jul 30 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.4.2-7
- rebuild (marble)

* Fri Apr 22 2016 Rex Dieter <rdieter@fedoraproject.org> - 4.4.2-6
- rebuild (marble)

* Wed Mar 30 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 4.4.2-5
- Rebuild for libgit2 0.24.0 once more

* Sun Mar 20 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 4.4.2-4
- Rebuild for libgit2 0.24.0

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Sep 20 2015 Kalev Lember <klember@redhat.com> - 4.4.2-2
- Fix the build with libgit2 0.23

* Wed Sep 02 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.4.2-1
- Update to 4.4.2

* Sun Aug 30 2015 Rex Dieter <rdieter@fedoraproject.org> 4.4.1-8
- rebuild (marble)

* Fri Jul 31 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.4.1-7
- Rebuilt for libgit2-0.23.0 and libgit2-glib-0.23

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 06 2015 Remi Collet <remi@fedoraproject.org> - 4.4.1-5
- rebuild for new libzip

* Sun Apr 19 2015 Rex Dieter <rdieter@fedoraproject.org> 4.4.1-4
- rebuild (marble)

* Thu Mar 12 2015 Rex Dieter <rdieter@fedoraproject.org> 4.4.1-3
- enable qt5 build (f22+)

* Mon Feb 23 2015 Rex Dieter <rdieter@fedoraproject.org> - 4.4.1-2
- use %%{qmake_qt?} style macro, verbose build
- support building against qt5 and marble-widget-qt5 (not used yet)

* Sat Feb 21 2015 Rex Dieter <rdieter@fedoraproject.org> 4.4.1-1
- 4.4.1 (#1194279), using unofficial ubuntu Qt4 patch for now

* Fri Feb 06 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.4.0-1
- Update to 4.4

* Tue Jan 20 2015 Rex Dieter <rdieter@fedoraproject.org> 4.3-2
- bump release

* Tue Jan 20 2015 Rex Dieter <rdieter@fedoraproject.org> 4.3-1.1
- rebuild (marble, f20/f21)

* Sat Dec 20 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.3-1
- Update to 4.3

* Sun Dec 14 2014 Rex Dieter <rdieter@fedoraproject.org> 4.2-4
- rebuild (marble)

* Fri Nov 07 2014 Richard Hughes <richard@hughsie.com> - 4.2-3
- Manually install the AppData file

* Thu Aug 28 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.2-2
- Update the description

* Mon Aug 18 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.2-1
- Update to 4.2

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Aug 06 2014 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-5
- rebuild (marble)

* Tue Jul 15 2014 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-4
- BR: qt4-devel qtwebkit-devel

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 20 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.0.3-2
- Rebuild for new version of libmarble-widget

* Thu Feb 20 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.0.3-1
- Update to 4.0.3

* Thu Feb 13 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.0.2-2
- Rebuild for the new version of libdivecomputer

* Thu Feb 06 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.0.2-1
- Rebuild for soname bump in libmarble

* Fri Jan 10 2014 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.0.2-1
- Update to release 4.0.2

* Sun Dec 15 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 4.0-1
- Update to release 4.0

* Mon Dec 09 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.9.2-1
- Update to 3.9.2 which is the second beta release before 4.0

* Wed Aug 07 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.1.1-3
- Rebuild to fix broken dependency

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 01 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.1.1-1
- Update to 3.1.1

* Fri May 17 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.1-1
- Update to 3.1
- Add BR on sqlite-devel

* Mon Mar 04 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.0.2-1
- Update to 3.0.2

* Thu Feb 21 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 3.0-1
- Update to 3.0 which adds the dependency on osm-gps-map and a BR on
  libzip-devel

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 23 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.1-1
- Update to 2.1 which brings among other language support

* Thu Oct 18 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.0.1-3
- Use $$RPM_BUILD_ROOT everywhere
- The license is GPLv2 only

* Wed Oct 17 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.0.1-2
- Use the macro libdc_version in the R and BR
- Add desktop-file-utils as BR

* Wed Oct 10 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 2.0.1-1
- Update to release 2.0.1

* Wed Jul 18 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.2-3.20120717.git7fe652a
- BR: libdivecomputer-static

* Tue Jul 17 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.2-2.20120717.git7fe652a
- Git snapshot

* Mon Jul 16 2012 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.2-1
- Initial packaging work for Fedora

